<!DOCTYPE html>
<html lang="fi">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Lauta.io | Suomen kuvalauta</title>
        <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:400,600" rel="stylesheet">
    </head>
    <body>
        <main>
            <div class="content">
                <header>
                    <div class="text-align-center">
                        <figure>
                            <img src="/dist/svg/avatar-v1.png" class="laama" style="width:30%">
                        </figure>
                        <p class="h1">Tervetuloa Laudalle</p>
                        <p><i>Käyttäjäystävällinen uuden ajan kuvalauta</i></p>
                    </div>
                </header>
                <hr>
                <div class="text-align-center">
                    <span class="heading"><p class="h2">Mikä on Lauta?</p></span>
                    <p>Lauta on suomalainen kuvalaudan tyyppinen keskustelualusta. Pyydämme lukemaan Laudan <a href="#">säännöt</a>
                    ennen keskusteluun osallistumista.</p>
                </div>
                <hr>
            </div>
        </main>
        <div class="notifications">
          <div class="notification">
            <div class="message">
              <div class="hero">
                <i data-feather="gitlab"></i>
              </div>
              <h4>Tämä on maailman kaunein ilmoitus</h4>
              <p>Tähän sisältyy kaikkea hienoa, kuten nappeja ja hero toiminto</p>
              <p>Tähän sisältyy kaikkea hienoa, kuten nappeja ja hero toiminto</p>
            </div>
            <i data-feather="x" class="close"></i>
          </div>
          <div class="notification primary">
            <div class="message">
              <div class="hero">
                <i data-feather="gitlab"></i>
              </div>
              <h4>Tämä on maailman kaunein ilmoitus</h4>
              <p>Tähän sisältyy kaikkea hienoa, kuten nappeja ja hero toiminto</p>
            </div>
            <i data-feather="x" class="close"></i>
          </div>
          <div class="notification secondery">
            <div class="message">
              <div class="hero">
                <i data-feather="coffee"></i>
              </div>
              <h4>WOW sait ekan tää äänen</h4>
            </div>
            <i data-feather="x" class="close"></i>
          </div>
          <div class="notification tertiary">
            <div class="message">
              <div class="hero">
                <i data-feather="bell"></i>
              </div>
              <h4>WOW sait ekan tää äänen</h4>
            </div>
            <i data-feather="x" class="close"></i>
          </div>
          <div class="notification error">
            <div class="message">
              <div class="hero">
                <i data-feather="aperture"></i>
              </div>
              <h4>WOW sait ekan tää äänen</h4>
            </div>
            <i data-feather="x" class="close"></i>
          </div>
          <div class="notification warning">
            <div class="message">
              <div class="hero">
                <i data-feather="anchor"></i>
              </div>
              <h4>WOW sait ekan tää äänen</h4>
            </div>
            <i data-feather="x" class="close"></i>
          </div>
          <div class="notification success">
            <div class="message">
              <div class="hero">
                <i data-feather="archive"></i>
              </div>
              <h4>WOW sait ekan tää äänen</h4>
            </div>
            <i data-feather="x" class="close"></i>
          </div>
          <div class="notification info">
            <div class="message">
              <div class="hero">
                <span id="timer"></span>
              </div>
              <h4>Tässä on ajastin, sekuntteja</h4>
            </div>
            <i data-feather="x" class="close"></i>
          </div>
          <div class="notification info">
            <div class="message">
              <div class="hero">
                <span id="ISOtimer"></span>
              </div>
              <h4>Tosi iso ajastin</h4>
            </div>
            <i data-feather="x" class="close"></i>
          </div>
        </div>
        <script type="text/javascript">
// Check need of logging and dev elements
let log = false
let dev = false
if (window.location.hostname !== 'lauta.io') log = true
if (!window.location.hostname.includes('lauta.io')) dev = true

if (log) console.info('Logging started')
if (dev) console.info('Development environment mode activated')

/*
  For logging use script as:
  if (log) console.log('Hey this is log')

  You can also use different console commands
  console.log('console.log') // for loaded files, clicks etc.
  console.info('console.info') // page loaded, all scripts loaded etc.
  console.debug('console.debug') // debugging
  console.warn('console.warn') // warns
  console.error('console.error') // errors
*/

// async loading functions
function asyncLoadScript (src, last = false) {
  if (log) console.log(`Loading script: ${src}`)
  var scriptDom = document.getElementsByTagName('script')[0]
  var script = document.createElement('script')
  script.src = src
  if (last) {
    document.body.appendChild(script)
  } else {
    scriptDom.parentNode.insertBefore(script, scriptDom.nextSibling)
  }
}

function asyncLoadStyle (src) {
  if (log) console.log(`Loading style: ${src}`)
  var styleDom = document.getElementsByTagName('link')[0]
  var style = document.createElement('link')
  style.href = src
  style.rel = 'stylesheet'
  style.type = 'text/css'
  style.crossorigin = 'anonymous'
  styleDom.parentNode.insertBefore(style, styleDom.nextSibling)
} // loading functions end

/* Needed styles and scripts
  NOTICE: Check loading ordet that mostly important file is first
  CSS: Load first custom css then framework(s) etc.
*/
const styles = [
  'dist/css/lauta.io.css',
  'dist/css/simplebar.css',
  'dist/css/turretcss.min.css'
]

/*
  JS: Load first framework(s) and then custom script(s)
  Depends loads first, when document.readyState = complete
  scripts will be loaded.
*/
const depends = [
  'dist/js/simplebar.js?v=1',
  'dist/js/feather.4.10.0.min.js?v=1',
  'dist/js/js.cookie.js?v=1',
  'dist/js/axios.min.js?v=1',
  'dist/js/timeout.js?v=1',
  'dist/js/redom.min.js?v=1'
]

const scripts = [
  'dist/js/elements.js?v=1',
  'dist/js/multiTab.js?v=1',
  'dist/js/scripts.js?v=1'
]

// Loading styles
styles.forEach((val, key, arr) => {
  if (!dev) { asyncLoadStyle('/' + val) } else { asyncLoadStyle(val) }
  if (Object.is(arr.length - 1, key)) {
    if (log) console.info('All styles loaded')
  }
})

// Loading script depends
depends.forEach((val, key, arr) => {
  if (!dev) { asyncLoadScript('/' + val) } else { asyncLoadScript(val) }
  if (Object.is(arr.length - 1, key)) {
    if (log) console.info('All script depends loaded')
  }
})

// Creating list of elements, for multi tab support
// and array for toolset action functions
let windowElements = { }
let toolsetAction = { }

// Checking when page is complated loading
document.onreadystatechange = function () {
  if (document.readyState === 'complete') {
    if (log) console.info('Loading completed')
    const { el , list, text, mount, unmount } = redom
    scripts.forEach((val, key, arr) => {
      if (!dev) { asyncLoadScript('/' + val, true) } else { asyncLoadScript(val, true) }
      if (Object.is(arr.length - 1, key)) {
        if (log) console.info('All scripts loaded')
      }
    })
  }
}

        </script>
    </body>
</html>
